## Version 1.3.0

### Добавлено

#### account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-900 | Опциональное поле `desc` в resource `dynamix_account` |
| BATF-900 | Вычисляемое поле `desc` в datasource `dynamix_account_list`, `dynamix_account_deleted_list`, `dynamix_account` и `dynamix_account_rg_list` |
| BATF-904 | Опциональное поле `reason` в resource `dynamix_account` |

#### bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-905 | Опциональное поле `chipset` в resource `dynamix_bservice_group` |
| BATF-906 | Вычисляемое поле `chipset` в datasource `dynamix_bservice_group` |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-914 | Вычисляемые поля `size_available`, `updated_by`, `deleted_by`, `created_by`, `updated_time` и `milestones` в datasource `dynamix_disk_list` и `dynamix_disk_list_deleted` |
| BATF-914 | Вычисляемые поля `size_available`, `updated_by`, `deleted_by`, `created_by`, `updated_time`, `machine_id`, `machine_name` и `milestones` в datasource `dynamix_disk` |
| BATF-914 | Вычисляемые поля `machine_id`, `machine_name`, `updated_by`, `deleted_by`, `created_by` и `updated_time` в resource `dynamix_disk` |

#### extnet
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-907 | Опциональное поле `ovs_bridge` в datasource `dynamix_extnet_list` |
| BATF-911 | Вычисляемое поле `ntp` в datasource `dynamix_extnet` |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-903 | Вычисляемое поле `snapshot_id` в datasource `dynamix_image` и resource `dynamix_image` |
| BATF-942 | Вычисляемое поле `snapshot_id` в resource `resource_image` |
| BATF-942 | Вычисляемые поля `cd_presented_to`, `snapshot_id` и `network_interface_naming` в resource `resource_image_virtual` |

#### k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-900 | Вычисляемое поле `desc` в datasource `dynamix_k8s` |

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-901 | Опциональные поля `loader_type`, `boot_type`, `hot_resize`, `network_interface_naming` в resource `dynamix_kvmvm` |
| BATF-901 | Вычисляемые поля `loader_type`, `boot_type`, `hot_resize`, `network_interface_naming` в datasources `dynamix_kvmvm`, `dynamix_kvmvm_list`, `dynamix_kvmvm_list_deleted` |
| BATF-913 | Вычисляемое поле `size_available` в datasource `dynamix_kvmvm` |
| BATF-954 | Опциональное поле `snapshot_delete_async` в resource `dynamix_kvmvm` |

#### rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-945 | Вычисляемые поля `created_by` и `created_time` в resource `dynamix_resgroup` |

#### vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-898 | Опциональное поле `status` в datasource `dynamix_vins_list` в cloudapi/vins |


### Удалено

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-938 | Опциональное поле `stateless`, `cd` в resource `dynamix_kvmvm` |

#### rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-910 | Опциональное поле `register_computes` в resource `resource_rg` |
| BATF-910 | Вычисляемое поле `register_computes` в datasource `rdata_rg`, `rdata_rg_list` и `rdata_rg_list_deleted` |
| BATF-912 | Опциональные поля `auto_start` и `data_disks` resource `dynamix_account` |

### Исправлено

#### общие изменения
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-883 | Исправлены некорректные импорты имеющихся ресурсов |
| BATF-984 | Установлены значения по умолчанию для булевых полех в имеющихся ресурсов |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-899 | Изменен тип поля `type` с Optional на Computed в resource `dynamix_disk` |
| BATF-902 | Изменен тип поля `present_to` с []int на map[string]int в datasources `dynamix_disk`, `dynamix_disk_list`, `dynamix_disk_list_deleted`, `dynamix_disk_replication`, в resources `dynamix_disk`, `dynamix_disk_replication` |
| BATF-908 | Изменен тип поля `gid` с Required на Computed в resource `dynamix_disk` |
| BATF-988 | Изменен тип поля `images` c []string на []int в resources `dynamix_disk`, `dynamix_disk_replication` |
| BATF-988 | Изменен тип поля `images` c []string на []int в datasources `dynamix_disk`, `dynamix_disk_list`, `dynamix_disk_replication`, `dynamix_disk_list_deleted`, `dynamix_disk_list_unattached` |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-902 | Изменен тип поля `present_to` с []int на map[string]int в datasource `dynamix_image`, resource `dynamix_virtual_image`, `dynamix_image` |
| BATF-915 | Изменено возможное значение поля `image_type` c `other` на `unknown` в resource `dynamix_image` |

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-902 | Изменен тип поля `present_to` с []int на map[string]int в datasources `dynamix_kvmvm`, resource `dynamix_kvmvm` |
| BATF-948 | Изменен тип поля `mac` в блоке `network` с `computed` на `optional` в resource `dynamix_kvmvm` |
| BATF-938 | Исправлен импорт опциональных и обязательных значений в resource `dynamix_kvmvm` |
| BATF-938 | Изменен тип поля `cd_image_id` с `computed` на `optional` в resource `dynamix_kvmvm` |
| BATF-920 | Рестарт виртуальной машины при отключении дисков в resource `dynamix_kvmvm` |
| BATF-938 | Сняты ограничения по количеству дисков и сетей в resource `dynamix_kvmvm` |
| BATF-931 | Изменен тип поля `vgpus` с []int на []struct в resource `dynamix_kvmvm` и в datasource `dynamix_kvmvm`|
| BATF-988 | Изменен тип поля `images` c []string на []int в resource `dynamix_kvmvm` |

